Bug 62729 - libtool detect gpm even without devel
libtool detect gpm even without devel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gpm (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-04 18:23 EST by Kang Jeong-Hee
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-06 04:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kang Jeong-Hee 2002-04-04 18:23:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020326

Description of problem:
libtool gpm as -lgpm but I have nothing about gpm-devel.
so compilation failed. I have to install gpm-devel.
'cos I cannot remove gpm by dependency of links, aumix, etc.
I think this is guilty of gpm.spec.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. checkout gimp from gnome cvs
2. ./autogen.sh --prefix=/usr --sysconfdir=/etc
3. make
	

Actual Results:  .../plug-ins/common fail to go ahead.
told: -lgpm is absent.

Expected Results:  why gpm talked about?

Additional info:

I tried rawhide gpm and nothing change.
only gpm-devel saved this trouble.
Comment 1 Bernhard Rosenkraenzer 2002-04-05 03:46:42 EST
gimp's broken configure scripts are not a gpm problem.
Comment 2 Kang Jeong-Hee 2002-04-06 05:36:04 EST
Yes, it's gpm problem. gimp-1.3 has nothing about gpm in source directory anywhere.
grep gpm * -ir is clear.
the issued stage of compilation is in control of libtool.
and I think gpm.spec set to provide libtool-related file in gpm not gpm-devel.
or libtool problem?
Comment 3 Nils Philippsen 2004-08-06 04:44:34 EDT
From a quick glance at it this should be working in current gpm
packages. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.